curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"salesChannelId": "<string>",
"isActive": true,
"sellerId": "<string>",
"channel": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"channelDisplayName": "<string>",
"channelCurrency": "<string>",
"isDocumentStorageEnabled": true,
"isStockUpdateEnabled": true,
"isOfferAutomappingEnabled": true,
"offerAutomappingType": 0,
"isAttributeImportEnabled": true,
"orderConfirmationType": 0,
"pendingOfferDeletionIntervalDays": 123,
"completedOfferDeletionIntervalDays": 123,
"isDeleted": true,
"isVariationsSupported": true,
"isQuantityPriceSupported": true,
"invoiceDocumentTransfer": 0,
"isAllowCombineOrders": true,
"name": "<string>",
"isBlocked": 123,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnWarehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"languageId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"updatedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Delivers all SCX sellers.
Delivers all SCX sellers.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Response
Success.
Sales channel id of this seller/account (composite id, ADR-69). Use this to address the seller in follow-up calls.
Shop is active.
Seller identifier on the marketplace channel.
Channel code.
Creation timestamp.
Display name of the channel.
Currency of the channel.
Document storage is enabled.
Stock update is enabled.
Offer automapping is enabled.
Offer automapping type.
0, 1, 2 Attribute import is enabled.
Order confirmation type.
0, 1 Deletion interval for pending offers in days.
Deletion interval for completed offers in days.
SCX shop assignment is marked as deleted.
Channel supports product variations.
Channel supports quantity prices.
Invoice document transfer type.
0, 1, 2 Channel allows combining orders.
Name of the shop.
Shop blocked state.
ID of the company.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
ID of the warehouse.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
ID of the return warehouse.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
ID of the language.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Last update timestamp.
Reason text.
ID of the default shipping method.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
ID of the payment method.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?